Name:           numad
Version:        0.5
Release:        33
Summary:        NUMA user daemon
License:        LGPLv2
URL:            https://pagure.io/numad
Source0:        %{name}-%{version}git.tar.xz

Recommends:     %{name}-help = %{version}-%{release}
BuildRequires:  systemd-units gcc git
Requires:       systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units

Patch0: numad-0.5git-m-option.patch
Patch1: avoid-array-index-out-of-bounds.patch

%description
Numad is a deamon that monitors NUMA topology and usage and distributes
loads for good locality for the purpose of providing the best performance,
by avoiding unnecessary latency.

%package        help
Summary:        Help files for %{name}
BuildArch:      noarch
%description    help
Help files for %{name}.

%prep
%autosetup -n %{name}-%{version}git -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -std=gnu99" LDFLAGS="$RPM_LD_FLAGS -lpthread -lrt -lm"

%install
%make_install prefix=%{buildroot}/usr
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 numad.service %{buildroot}%{_unitdir}/
install -m 644 numad.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%files
%{_bindir}/*
%{_unitdir}/numad.service
%config(noreplace) %{_sysconfdir}/logrotate.d/numad

%files help
%doc %{_mandir}/man8/*

%post
%systemd_post numad.service

%preun
%systemd_preun numad.service

%postun
%systemd_postun numad.service

%changelog
* Thu Sep 1 2022 Chunsheng Luo<luochunsheng@huawei.com> - 0.5-33
- Add help for Recommends

* Thu Sep 1 2022 Chunsheng Luo<luochunsheng@huawei.com> - 0.5-32
- Fix array index out-of-bounds

* Fri Dec 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.5-31
- Add missing post/pre requires

* Thu Mar 7 2019 Feilong Lin<linfielong@huawei.com> - 0.5-30
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: fix m option

* Mon Sep 10 2018 openEuler Buildteam <buildteam@openeuler.org> - 0.5-29
- Package init

